### A configuration module for the mqetables library. The configuration
### variables can be overridden by putting a file mqetablesconfig_override.py
### in $PYTHONPATH.

def json_dumps_minimal(obj):
    """A function that returns a minimal representation of a JSON object.
    Used when serializing tables. It can be customized when custom objects
    are stored in table cells.
    """
    import json
    return json.dumps(obj, indent=None, separators=(',', ':'))



### importing and possibly reloading mqetablesconfig_override.py

try:
    import mqetablesconfig_override

    try:
        reload
    except NameError:
        from importlib import reload
    reload(mqetablesconfig_override)

    from mqetablesconfig_override import *
except ImportError:
    pass
