from setuptools import setup, find_packages

setup(
        name = 'monique-tables',
        version = '1.2',
        packages = find_packages(exclude=['mqetables.tests',]),
        install_requires = [
            'parsedatetime==2.1',
            'python-dateutil==2.4.2',
            'pytimeparse==1.1.4',
        ],
        zip_safe=False,
        author = 'Monique Dashboards',
        description = 'Parse anything into a table - JSON, CSV files, text files, command output.',
        long_description = '''
See description at `<https://github.com/monique-dashboards/monique-tables>`_. The library is used by `Monique Dashboards <https://github.com/monique-dashboards/monique-web>`_.
        ''',
        license = 'BSD',
        keywords = 'parsing table monitoring',
        url = 'https://github.com/monique-dashboards/monique-tables',
        classifiers = [
            'Topic :: Database',
            'Environment :: Web Environment',
            'Development Status :: 5 - Production/Stable',
            'Topic :: Scientific/Engineering :: Visualization',
            'Topic :: System :: Monitoring',
            'Topic :: Software Development :: Pre-processors',
            'Topic :: Utilities',
            'License :: OSI Approved :: BSD License',
            'Programming Language :: Python :: 2.7',
            'Programming Language :: Python :: 3.6',
        ],
)
